Package x2go :: Module printactions :: Class X2GoPrintActionDIALOG

[frames] | no frames]

# Class X2GoPrintActionDIALOG

source code

         object --+
                  |
    X2GoPrintAction --+
                      |
                     X2GoPrintActionDIALOG

Print action that mediates opening a print dialog window. This class is rather empty, the actual print dialog box must be implemented in our GUI application (with the application's X2GoClient instance.

Instance Methods

__init__(self, client_instance=None, logger=None, loglevel=56) This is a meta class and has no functionality as such. | source code

Inherited from `X2GoPrintAction`: `do_print` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| __name__ = ``'``DIALOG``'``
| __decription__ = ``'``Open a print dialog box``'``
Inherited from `X2GoPrintAction`: `__description__`

Properties
Inherited from `X2GoPrintAction`: `description`, `name` Inherited from `object`: `__class__`

Method Details

### __init__(self, client_instance=None, logger=None, loglevel=56)
(Constructor)

source code

This is a meta class and has no functionality as such. It is used as parent class by »real« X2Go print actions.

Parameters:
  - `client_instance` (`obj`) - an X2GoClient instance, within your customized X2GoClient make sure you have a `HOOK_open_print_dialog(filename=<str>)` method defined that will actually open the print dialog.
  - `logger` (`obj`) - you can pass an X2GoLogger object to the X2GoPrintActionDIALOG constructor
  - `loglevel` (`int`) - if no X2GoLogger object has been supplied a new one will be constructed with the given loglevel
Raises:
  - `X2GoPrintActionException` - if the client_instance has not been passed to the DIALOG print action
Overrides: object.__init__